Pages with pending changes show an "Edit" tab label even when they actually mean "Edit source"
Closed, ResolvedPublic1 Story Points

Description

See https://test2.wikipedia.org/wiki/Abou_El_Hassan (tab link, clicking on it loads the wikitext editor) .
Works as intended instead when VE is the "last editor you used".

Elitre created this task.Jan 25 2016, 12:32 PM
Elitre updated the task description. (Show Details)
Elitre raised the priority of this task from to Needs Triage.
Elitre added a project: VisualEditor.
Elitre added a subscriber: Elitre.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 25 2016, 12:32 PM
Elitre updated the task description. (Show Details)Jan 25 2016, 12:37 PM
Elitre set Security to None.

That'd be FlaggedRevs overwriting it after us, based on FlaggablePageView::setViewTabs

Jdforrester-WMF triaged this task as Normal priority.

I'm not quite sure why FlaggedRevs is doing that... Usually it just ends up changing 'Edit' to 'Edit'...

Krenair assigned this task to aaron.Jan 27 2016, 11:49 PM

@aaron: Do you know why it's doing that?

aaron removed aaron as the assignee of this task.Jan 28 2016, 7:38 PM
Krenair added a subscriber: aaron.Jan 28 2016, 8:18 PM

@aaron: Is that a no, or..? I need your input as the FlaggedRevs guy :/

aaron added a comment.Jan 28 2016, 8:31 PM

It's not really my area atm. Also, my task assigners are normally myself and Ori :)

Krenair added a subscriber: ori.Jan 28 2016, 10:11 PM

@ori helped me track this down. It was committed in rEFLR98c87c5ccb1dbc40ac88c3fa2de1e269c901cc9d (rSVN25486, 2007-09-04) and seems like dead code as of rEFLR77e348785ae508f914e3a58987126c9cd9376712 (rSVN63829, 2010-03-16). (Apart from interfering with VE's modifications, that is.)

Change 267158 had a related patch set uploaded (by Alex Monk):
Delete old seemingly-obsolete code that was overwriting stuff VisualEditor changes

https://gerrit.wikimedia.org/r/267158

Krenair claimed this task.Jan 28 2016, 10:18 PM

Change 267158 merged by jenkins-bot:
Delete old seemingly-obsolete code that was overwriting stuff VisualEditor changes

https://gerrit.wikimedia.org/r/267158

Jdforrester-WMF closed this task as Resolved.Jan 29 2016, 1:16 AM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.